slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVDotVec

Computes multiple dot products of a vector against all the column vectors of a BV.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVDotVec(BV X,Vec y,PetscScalar m[])

Collective

### Input Parameters

| X | - basis vectors
| y | - a vector

### Output Parameter

| m | - an array where the result must be placed

### Notes

This is analogue to VecMDot(), but using BV to represent a collection of vectors. The result is m = X^H*y, so m_i is equal to x_j^H y. Note that here X is transposed as opposed to BVDot().

If a non-standard inner product has been specified with BVSetMatrix(), then the result is m = X^H*B*y.

The length of array m must be equal to the number of active columns of X minus the number of leading columns, i.e. the first entry of m is the product of the first non-leading column with y.

### See Also

BVDot(), BVDotColumn(), BVSetActiveColumns(), BVSetMatrix()

### Level

intermediate

### Location

src/sys/classes/bv/interface/bvglobal.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages